## autopostgresqlbackup 2.5

=== Makefile ===
NAME=autopostgresqlbackup
SECTION=8

all: man

man: ${NAME}.${SECTION}

${NAME}.${SECTION}: Documentation.md
	pandoc \
		--standalone \
		--to man \
		Documentation.md \
		-o ${NAME}.${SECTION}

clean:
	rm -f ${NAME}.${SECTION}

## autopostgresqlbackup 1.0

=== debian/changelog ===
autopostgresqlbackup (1.0-7) unstable; urgency=medium

  * Add a patch to fix the cleanup of uncompressed backups (Closes: #781884)
  * Bump Standards-Version to 3.9.6
  * Update debian/copyright with new year

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 17 May 2015 13:05:05 +0200

autopostgresqlbackup (1.0-6) unstable; urgency=medium

  * Add Dependency on mailx: mail command is needed to send errors logs
    or backup reports in some cases. (Closes: #757704)
  * Add a patch to fix the temporary error log paths built with DBHOST
    parameter (Closes: #767186)
  * Add a patch to make possible to configure the permissions of backup
    files. Thanks to Niek Schmoller for the suggestion.

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 04 Nov 2014 23:40:01 +0100

autopostgresqlbackup (1.0-5) unstable; urgency=low

  * Add a patch to support asymetric encryption of backups. Thanks
    to Patrick Radtke for the first patch (Closes: #742529)
  * Add a patch to support multiple mail clients (while sending backup files
    by email) so that mutt (as recommends) could be replaced by a lighter
    mail client. Thanks to Emmanuel Kasper for the suggestion (Closes: #731747)
  * Switch to debhelper >= 9

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 02 Apr 2014 23:38:02 +0200

autopostgresqlbackup (1.0-4) unstable; urgency=low

  * Add a patch to add additional parameters to pg_dump from default file
    using $OPT variable. Thanks to Mathias Behrle for the suggestion.
    (Closes: #726628)
  * Add a patch to make possible configure the extension of backup files.
    Thanks to Mathias Behrle for the suggestion. (Closes: #726630)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 27 Oct 2013 15:09:04 +0000

autopostgresqlbackup (1.0-3) unstable; urgency=low

  * Fix Vcs-Browser field. Thanks to Axel Beckert for the notice
    (Closes: #721613)
  * Add a patch to fix a bug while restoring STDERR file descriptor.
    Thanks to Cyprien Devillez for the patch (Closes: #711983)
  * Add a fix to not use a login shell while invoking su. Thanks to
    Axel Beckert for the patch (Closes: #706087)
  * Add a patch to fix a crash while using option SEPDIR=no
  * Add a patch to also backup "globals" like users, roles, tablespaces,
    etc. (Closes: #706088)
  * Fix typo in manpage (Thanks to Vitaliyi)
  * Bump Standards-Version to 3.9.4

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 24 Sep 2013 17:20:15 +0000

autopostgresqlbackup (1.0-2) unstable; urgency=high

  * Add a patch to fix possible code injection via unsafe database names
    inside eval. Thanks to Axel Beckert for the patch (Closes: #706095)

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 24 Apr 2013 22:13:10 +0000

autopostgresqlbackup (1.0-1) unstable; urgency=low

  * Initial release (Closes: #628400).

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 28 May 2011 11:21:49 +0200

=== debian/control ===
Source: autopostgresqlbackup
Section: admin
Priority: extra
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends:
    debhelper (>= 9),
    perl
Standards-Version: 3.9.6
Homepage: http://projects.frozenpc.net/autopgsqlbackup/
Vcs-Git: git://anonscm.debian.org/users/kolter/autopostgresqlbackup.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/kolter/autopostgresqlbackup.git

Package: autopostgresqlbackup
Architecture: all
Depends:
    ${misc:Depends},
    heirloom-mailx | mailx,
    postgresql-client-common
Recommends:
    heirloom-mailx | biabam | mutt,
    openssl
Description: Automated tool to make periodic backups of PostgreSQL databases
 autopostgresqlbackup is a shell script (usually executed from a cron job)
 designed to provide a fully automated tool to make periodic backups of
 PostgreSQL databases. autopostgresqlbackup extract databases into flat files
 in a daily, weekly or monthly basis.
 .
 autopostgresqlbackup is a PostgreSQL port of automysqlbackup.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	pod2man \
		--center "" --date "" --release "" \
		--section=8 debian/man/autopostgresqlbackup.pod > debian/man/autopostgresqlbackup.8
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/man/autopostgresqlbackup.8
	dh_auto_clean

%:
	dh $@

## autopostgresqlbackup 1.1

=== debian/changelog ===
autopostgresqlbackup (1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Detect when a DB dump fails and abort operation (Closes: #956083)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 10 Mar 2021 10:47:06 -0600

autopostgresqlbackup (1.1-1) unstable; urgency=medium

  * New upstream release (Closes: #898005, #858910, #850963)
    * Remove all Debian patches (merged upstream)
    * Update Homepage (project moved to GitHub with a new maintainer)
  * Switch debhelper compatibility to 12
  * Change priority from extra to optional
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Bump Standards-Version to 4.3.0
  * Add Suggests on bzip2 and xz-utils for alternative compression format
  * Add debian/upstream/metadata

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 13 Jan 2019 01:35:34 +0000

=== debian/control ===
Source: autopostgresqlbackup
Section: admin
Priority: optional
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends:
    debhelper (>= 12),
    perl
Standards-Version: 4.3.0
Homepage: https://github.com/k0lter/autopostgresqlbackup
Vcs-Git: https://salsa.debian.org/kolter/autopostgresqlbackup.git
Vcs-Browser: https://salsa.debian.org/kolter/autopostgresqlbackup

Package: autopostgresqlbackup
Architecture: all
Depends:
    ${misc:Depends},
    heirloom-mailx | mailx,
    postgresql-client-common
Recommends:
    heirloom-mailx | biabam | mutt,
    openssl
Suggests: bzip2, xz-utils
Description: Automated tool to make periodic backups of PostgreSQL databases
 autopostgresqlbackup is a shell script (usually executed from a cron job)
 designed to provide a fully automated tool to make periodic backups of
 PostgreSQL databases. autopostgresqlbackup extract databases into flat files
 in a daily, weekly or monthly basis.
 .
 autopostgresqlbackup is a PostgreSQL port of automysqlbackup.

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,3 @@
 
 %:
 	dh $@
-

## autopostgresqlbackup 2.3

=== debian/changelog ===
autopostgresqlbackup (2.3-1) unstable; urgency=medium

  * New upstream release
  * Switch debhelper compatibility to 13
  * Update copyright file (new year)
  * Remove HomePage from debian/upstream/metadata
  * Switch debian/watch to version 4
  * Set Rules-Requires-Root to no
  * Bump Standards-Version to 4.7.0
  * Add systemd timer (Closes: #953627)
  * Update debian/control to adjust dependencies regarding upstream changes
    (Closes: #988543)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 10 Nov 2024 09:18:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,26 @@
 Priority: optional
 Maintainer: Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
-    debhelper (>= 12),
-    perl
-Standards-Version: 4.3.0
+    debhelper (>= 13),
+    debhelper-compat (= 13),
+    pandoc
+Standards-Version: 4.7.0
 Homepage: https://github.com/k0lter/autopostgresqlbackup
 Vcs-Git: https://salsa.debian.org/kolter/autopostgresqlbackup.git
 Vcs-Browser: https://salsa.debian.org/kolter/autopostgresqlbackup
+Rules-Requires-Root: no
 
 Package: autopostgresqlbackup
 Architecture: all
 Depends:
     ${misc:Depends},
-    heirloom-mailx | mailx,
+    bsd-mailx | mailx,
     postgresql-client-common
 Recommends:
-    heirloom-mailx | biabam | mutt,
-    openssl
-Suggests: bzip2, xz-utils
+    gpg,
+    openssl,
+    anacron | cron-daemon,
+Suggests: bzip2, xz-utils, zstd
 Description: Automated tool to make periodic backups of PostgreSQL databases
  autopostgresqlbackup is a shell script (usually executed from a cron job)
  designed to provide a fully automated tool to make periodic backups of

## autopostgresqlbackup 2.5

=== debian/changelog ===
autopostgresqlbackup (2.5-1) unstable; urgency=medium

  * New upstream release
  * Refresh debian/copyright
  * Bump Standards-Version to 4.7.2

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 16 Apr 2025 21:11:41 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     debhelper (>= 13),
     debhelper-compat (= 13),
     pandoc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/k0lter/autopostgresqlbackup
 Vcs-Git: https://salsa.debian.org/kolter/autopostgresqlbackup.git
 Vcs-Browser: https://salsa.debian.org/kolter/autopostgresqlbackup

=== debian/watch ===
version=4
https://github.com/k0lter/autopostgresqlbackup/tags .*/(\d[\d\.]+)\.tar\.gz
